View custom operator list

View the custom operators that can be read in the current workspace. The returned operator ID can be used to view, modify, test run, or delete the operator.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/custom-operators

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

Request parameters

Request example

curl "https://moi.matrixorigin.cn/newmoi/workflow/v2/custom-operators?page_size=20&enabled=true" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

The response returns a custom operator that meets the conditions. When the response contains the next page token, use it as the page_token for the next request; if it is not returned, it means that the reading has been completed.

The response fields are as follows.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, items[].name is the name field of each item in the items array.

codestring
OK on success.
msgstring
OK on success.
data.items[]array
Custom operator list.
data.items[].idinteger
Custom operator ID, used for subsequent operations.
data.items[].node_idstring
Operator ID in the workflow.
data.items[].namestring
Operator name.
data.items[].identifierstring
Operator ID.
data.items[].descriptionstring
Operator description; returned if there is a value.
data.items[].handlerstring
Processing function; returns if there is a value.
data.items[].versionstring
Operator version; returned if there is a value.
data.items[].isolation_levelstring
Isolation configuration; returned if there is a value.
data.items[].languageinteger
Implements the numerical encoding of the language; returns if there is a value.
data.items[].kindinteger
Numeric encoding of the operator type; returned if there is a value.
data.items[].source_file_idstring
Source file ID; returned when created using a source file.
data.items[].input_schemastring
Enter the defined serialization content; return if there is a value.
data.items[].output_schemastring
Output the defined serialized content; return if there is a value.
data.items[].binding_configstring
The serialized content of the binding configuration; returned if there is a value.
data.items[].created_bystring
Creator ID; returned if there is a value.
data.items[].updated_bystring
Last updater ID; returned if there is a value.
data.items[].created_atinteger
Creation timestamp; returned if there is a value.
data.items[].updated_atinteger
Last updated timestamp; returned if there is a value.
data.items[].base_node_idstring
The basic operator associated with the built-in binding type; returned when there is a value.
data.items[].base_node_versionstring
The basic operator version associated with the built-in binding type; returned if there is a value.
data.items[].catalog_idinteger
The associated Catalog ID; returned if there is a value.
data.items[].database_idinteger
The associated database ID; returned if there is a value.
data.items[].enabledboolean
Whether the operator is enabled.
data.totalinteger
The total number of items that match the filter conditions.
data.next_page_tokenstring
Next page mark; does not return if there is no next page.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "items": [
      {
        "id": 123,
        "node_id": "moi:custom.operator:workspace:text_counter",
        "name": "文本计数",
        "identifier": "text_counter",
        "version": "v1",
        "enabled": true
      }
    ],
    "total": 1
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}

Follow-up operations

Query custom operator details.

Last updated on